Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.iohttps://kyc-api.surepass.io| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token authentication using JWT |
| Content-Type | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| ed_licence_number | String | Yes | ED license number to be verified |
{
"ed_licence_number": "673471"
}| Parameter | Type | Description |
|---|---|---|
| data | Object | Contains the verification results |
| data.client_id | String | Unique client identifier |
| data.ed_license_number | String | ED license number that was verified |
| data.cbls_number | String | CBLS number of the business |
| data.ba_desc | String | Business activity description |
| data.address | String | Full address of the business |
| data.phone_number | String | Phone number of the business |
| data.expiry_date | String | ED license expiry date in "YYYY-MM-DD" format |
| data.business_name | String | Name of business as per ED license |
| data.results | Array | Array containing detailed verification results |
| status_code | Number | HTTP status code of the response |
| success | Boolean | Indicates if the request was successful |
| message | String | Response message |
| message_code | String | Code indicating the response status |
| Parameter | Type | Description |
|---|---|---|
| ed_license_number | String | ED license number |
| license_status | String | Current status of the license |
| expiry_date | String | License expiry date in "YYYY-MM-DD" format |
| licensing_authority | String | Name of the authority that issued the license |
| cbls_number | String | CBLS number |
| activity_name | String | Business activity details in English |
| legal_form | String | Legal form of the business |
| activity_name_arabic | String | Business activity details in Arabic |
| address | String | Full address of the business |
| phone_number | String | Phone number of the business |
| business_name | String | Business name in English |
| business_name_arabic | String | Business name in Arabic |
{
"data": {
"client_id": "uae_ed_license_YmDnWjbErNwDycdIKmQb",
"ed_license_number": "100000",
"cbls_number": "108804",
"ba_desc": "",
"address": "Bur Dubai Oud Metha",
"phone_number": null,
"expiry_date": "2024-07-07",
"business_name": "XYZ TOURISM L.L.C",
"results": [
{
"ed_license_number": "100000",
"license_status": "فعال",
"expiry_date": "2024-07-07",
"licensing_authority": "دائرة تصاد والسياحة دبى",
"cbls_number": "108804",
"activity_name": "In Bound Tour Operator",
"legal_form": "شركة الشخص الواحد ش.ش.و",
"activity_name_arabic": "منظمياحه,منظم رحلات سياحية خارجية",
"address": "Oud Metha",
"phone_number": null,
"business_name": "XYZ TOURISM L.L.C",
"business_name_arabic": "فور ياحة ش.ذ.م.م"
}
]
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}{
"status_code": 400,
"success": false,
"message": "Invalid license number provided",
"message_code": "invalid_input"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/uae-ed/license-verification' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"ed_licence_number": "673471"
}'{
"data": {
"client_id": "uae_ed_license_YmDnWjbErNwDycdIKmQb",
"ed_license_number": "100000",
"cbls_number": "108804",
"ba_desc": "",
"address": "Bur Dubai Oud Metha",
"phone_number": null,
"expiry_date": "2024-07-07",
"business_name": "XYZ TOURISM L.L.C",
"results": [
{
"ed_license_number": "100000",
"license_status": "فعال",
"expiry_date": "2024-07-07",
"licensing_authority": "دائرة تصاد والسياحة دبى",
"cbls_number": "108804",
"activity_name": "In Bound Tour Operator",
"legal_form": "شركة الشخص الواحد ش.ش.و",
"activity_name_arabic": "منظمياحه,منظم رحلات سياحية خارجية",
"address": "Oud Metha",
"phone_number": null,
"business_name": "XYZ TOURISM L.L.C",
"business_name_arabic": "فور ياحة ش.ذ.م.م"
}
]
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}